mnt_pt=""
out_folder=""
while getopts 'm:o:' flg; do
    case "${flg}" in
        m) mnt_pt="${OPTARG}";;
        o) out_folder="${OPTARG}";;
        *) exit 1;;
    esac
done

if [ ! -d ${out_folder} ]
then
    mkdir -p ${out_folder}
fi

read -p 'Unlock password (blank if already unlocked): ' -s sec_pin
if [ ! -z "${sec_pin}" ]
then
    iATcli ${mnt_pt} login --pin ${sec_pin}
fi

sess_list=$(iATcli ${mnt_pt} listSessions \
	| tail -n +2 | awk '{print $1;}' | paste -sd " " -)

mnt_fold=$(grep ${mnt_pt} /etc/mtab \
	| awk '{print $2;}')

for sess in $(echo "${sess_list}")
do
    iATcli ${mnt_pt} switchToSession --id ${sess}
    rsync -a --ignore-existing "${mnt_fold}/" ${out_folder}
done
